Loading...
Searching...
No Matches
color_info.hpp File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | ColorInfo

## Namespaces

namespace | ftxui

## Functions

ColorInfo | GetColorInfo (Color::Palette256 index)
ColorInfo | GetColorInfo (Color::Palette16 index)

## Data Structure Documentation

## ftxui::ColorInfo

struct ftxui::ColorInfo

Definition at line 12 of file color_info.hpp.

Data Fields
const char * | name |
uint8_t | index_256 |
uint8_t | index_16 |
uint8_t | red |
uint8_t | green |
uint8_t | blue |
uint8_t | hue |
uint8_t | saturation |
uint8_t | value |